Bug Hunting Session
Bug 103395 - Don't Initialize OpenCL if explicitly disabled with SAL_DISABLE_OPENCL
Summary: Don't Initialize OpenCL if explicitly disabled with SAL_DISABLE_OPENCL
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.4 target:5.2.3
Keywords:
Depends on:
Blocks: OpenCL
  Show dependency treegraph
 
Reported: 2016-10-21 22:04 UTC by Tomaz Vajngerl
Modified: 2016-12-07 12:31 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomaz Vajngerl 2016-10-21 22:04:48 UTC
Description:
If we force disable OpenCL with the SAL_DISABLE_OPENCL variable we can still initialize OpenCL (with clewInit) and enumerate platforms and devices. 

Steps to Reproduce:
Not needed

Actual Results:  
.

Expected Results:
Check if we can enable OpenCL in one place only (and use that when we need to know this - like with OpenGL) and don't initialize OpenCL if this is not desired.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 Commit Notification 2016-10-24 08:37:13 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=21e8ed8b5f032f63012a7ee84bce64fac218154f

tdf#103395 opencl: don't initialize OpenCL when disabled

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-10-24 16:44:24 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f36c66183049522977a386d9afce462ac5d3ec0&h=libreoffice-5-2

tdf#103395 opencl: don't initialize OpenCL when disabled

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-10-25 10:29:34 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=43d7d8df7306b80634c92bcfb94e45ceaefe1acf&h=libreoffice-5-2-3

tdf#103395 opencl: don't initialize OpenCL when disabled

It will be available in 5.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2016-12-06 11:34:48 UTC
Hello Tomaz,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 5 Tomaz Vajngerl 2016-12-07 12:31:52 UTC
Sorry, yes, it is.